NXOpen.UF.Sket.DimObject Structure

NXOpen.UF.Sket.DimObject is an alias for NXOpen.UF.SketDimObject_Struct

class NXOpen.UF.SketDimObject_Struct

Bases: object

Refer to UF_SKET_dim_object_s for documentation.

Fields

NXOpen.UF.SketDimObject_Struct.ObjectTag Tag of the object - sketch curves, edge, datum plane, datum axis, NX curves
NXOpen.UF.SketDimObject_Struct.ObjectAssocType Object associativity type: UF_SKET_end_point; UF_SKET_arc_center - object must be an arc; UF_SKET_tangency - object must be an arc; UF_SKET_curve_point - object must be a spline UF_SKET_anchor_point - object must be a sketch conic
NXOpen.UF.SketDimObject_Struct.ObjectAssocModValue Object associativity modifier: UF_SKET_first_end_point or UF_SKET_last_end_point if object_assoc_type = UF_SKET_end_point; Not Used if object_assoc_type = UF_SKET_arc_center or UF_SKET_anchor_point; parameter percentage (0 - 100) (used to find approx tgt pt) if object _assoc_type = UF_SKET_tangency; the index number of the defining point of the spline(starting from 1) if object_assoc_type = UF_SKET_curve_point;